Summary:	Free high-fidelity Windows and multi-platform appearance
Name:		jgoodies-looks
Version:	2.4.1
Release:	%mkrel 1
Group:		Development/Java
License:	BSD
URL:		http://www.jgoodies.com/freeware/looks/
# Unfortunately, the filename has the version in an annoying way
Source0:	http://www.jgoodies.com/download/libraries/looks/jgoodies-looks-2_4_1.zip
Source1:	jgoodies-looks-pom-template.xml
Source2:	jgoodies-plastic-pom-template.xml
Source3:	jgoodies-looks-win-pom-template.xml

# Source1: %{name}.README
BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	java-rpmbuild >= 0:1.4
BuildRequires:	ant
BuildRequires:	jgoodies-common
Requires:	java >= 0:1.4
Requires:	jgoodies-common
Requires:	jpackage-utils
BuildArch:	noarch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

Main Benefits:

* Improved readability, legibility and in turn usability.
* Improved aesthetics - looks good on the majority of desktops
* Simplified multi-platform support
* Precise micro-design

%package javadoc
Summary:	Javadoc documentation for JGoodies Looks
Group:		Development/Java

%description javadoc
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

This package contains the Javadoc documentation for JGoodies Looks.

%prep
%setup -q -n %{name}-%{version}

# unzip the look&feel settings from bundled jar before we delete it
# (taken from Gentoo ebuild)
unzip -j %{name}-%{version}.jar META-INF/services/javax.swing.LookAndFeel \
|| die "unzip of javax.swing.LookAndFeel failed"
# and rename it to what build.xml expects
mv javax.swing.LookAndFeel all.txt

# Delete pre-generated stuff we don't want
find -name "*.jar" -exec rm -f {} \;
rm -r docs/api

%build
%ant \
  -Dlib.common.jar=$(build-classpath jgoodies-common) \
  -Ddescriptors.dir=. compile jar javadoc

%install
rm -rf %{buildroot}

install -dp %{buildroot}%{_javadir} \
        %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -p build/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
# install -m 644 %SOURCE1 README_RPM.txt
# Fix the line endings!
for file in *.txt *.html docs/*.* docs/guide/*.*; do
    sed -i 's/\r//' $file
done
cd %{buildroot}%{_javadocdir}
ln -s %{name}-%{version} %{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap jgoodies looks %{version} JPP %{name}

install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-jgoodies-plastic.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-jgoodies-plastic.pom
%add_to_maven_depmap jgoodies plastic %{version} JPP %{name}

install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}-win.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}-win.pom
%add_to_maven_depmap jgoodies looks-win %{version} JPP %{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%doc RELEASE-NOTES.txt LICENSE.txt README.html docs/
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}




%changelog

* Fri Oct 21 2011 gil <gil> 2.4.1-1.mga2
+ Revision: 157169
- edit spec file
- added maven2 poms

* Wed Jul 06 2011 grenoya <grenoya> 2.4.1-0.0.4.mga2
+ Revision: 119500
- upgrade sources to 2.4.1
- remove patch #0
- remove unneeded define due to change of sources name

* Sat Mar 05 2011 grenoya <grenoya> 2.2.1-0.0.4.mga1
+ Revision: 64851
- imported package jgoodies-looks


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-0.0.4mdv2011.0
+ Revision: 612445
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.3mdv2010.1
+ Revision: 540955
- rebuild

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.2.1-0.0.2mdv2010.0
+ Revision: 438037
- rebuild

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.1mdv2009.1
+ Revision: 352863
- update to new version 2.2.1
- spec file clean

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.2.0-0.6.1mdv2009.0
+ Revision: 286493
- BR java-rpmbuild
- fix group
- import jgoodies-looks


